Skip to navigation

Get Refund

Returns a refund by refund ID.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

refund_idintegerRequired
Refund ID.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Response

The ID of the created refund.
dataobjectOptional
metaobjectOptional
Response metadata.